Hex: InputFile Class Reference

| Hex 2.2 Hydrogen-electron collision solver

Public Member Functions | Data Fields
InputFile Class Reference

Input parameters. More...

`#include <io.h>`

## Public Member Functions

| InputFile (std::ifstream &inputfile)
void | read (std::ifstream &inputfile)

## Data Fields

int | order
int | ni
int | L
int | Pi
int | levels
int | limit
int | maxell
iArray | Spin
Real | ecstheta
Real | B
Real | channel_max_E
rArray | rknots
rArray | rknots_ext
rArray | cknots
rArray | Etot
Real | max_Etot
std::vector< std::tuple< int, int, int > > | instates
std::vector< std::tuple< int, int, int > > | outstates
Real | Za
Real | Zp
bool | inner_only
bool | exchange

## Detailed Description

This class contains information from the "hex.inp" file – the initial state data and the total conserved data.

Attributes are:

- inputfile: Handle to the input file.
- order: Order of the B-spline basis (typically 4).
- ecstheta: Complex grid rotation.
- rknots: Real knots (including R0).
- cknots: Unrotated complex knots (including R0).
- ni: Initial atomic energy state.
- instates: Initial atomic states. All of them will have the same energy.
- outstates: Final atomic states. Magnetic numbers will not be set as all of them will be computed.
- L: Total angular momentum (partial wave).
- Spin: Total spin (partial wave).
- Pi: Total parity (partial wave).
- levels: How many angular pairs to use.
- maxell: Per-electron angular momentum restriction (determines the block size of the matrix).
- Ei: Initial projectile energies [Ry].
- ki: Initial projectile momenta.
- B: Homogeneous magnetic field in the direction of z-axis.

## Constructor & Destructor Documentation

## ◆ InputFile()

InputFile::InputFile | ( | std::ifstream & | inputfile | ) |

inline

## Member Function Documentation

## ◆ read()

void InputFile::read | ( | std::ifstream & | inputfile | ) |

## Field Documentation

## ◆ B

Real InputFile::B

## ◆ channel_max_E

Real InputFile::channel_max_E

## ◆ cknots

rArray InputFile::cknots

## ◆ ecstheta

Real InputFile::ecstheta

## ◆ Etot

rArray InputFile::Etot

## ◆ exchange

bool InputFile::exchange

## ◆ inner_only

bool InputFile::inner_only

## ◆ instates

std::vector<std::tuple<int,int,int> > InputFile::instates

## ◆ L

int InputFile::L

## ◆ levels

int InputFile::levels

## ◆ limit

int InputFile::limit

## ◆ max_Etot

Real InputFile::max_Etot

## ◆ maxell

int InputFile::maxell

## ◆ ni

int InputFile::ni

## ◆ order

int InputFile::order

## ◆ outstates

std::vector<std::tuple<int,int,int> > InputFile::outstates

## ◆ Pi

int InputFile::Pi

## ◆ rknots

rArray InputFile::rknots

## ◆ rknots_ext

rArray InputFile::rknots_ext

## ◆ Spin

iArray InputFile::Spin

## ◆ Za

Real InputFile::Za

## ◆ Zp

Real InputFile::Zp

The documentation for this class was generated from the following files:

- src/io.h
- src/io.cpp